Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Class JAXRException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.registry.JAXRException

All Implemented Interfaces:
  JAXRResponse, Serializable

Direct Known Subclasses:
  InvalidRequestException, RegistryException, UnexpectedObjectException, UnsupportedCapabilityException

public class JAXRException
extends Exception
implements JAXRResponse

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`protected Throwable` | `cause`

Fields inherited from interface javax.xml.registry.JAXRResponse
`STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

Constructor Summary
`JAXRException()`
`JAXRException(String msg)`
`JAXRException(String msg, Throwable cause)`
`JAXRException(Throwable cause)`

Method Summary
`String` | `getRequestId()`
`int` | `getStatus()`
`Throwable` | `initCause(Throwable cause)` Initializes the cause of this throwable to the specified value.
`boolean` | `isAvailable()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected Throwable cause

Constructor Detail

### JAXRException

    public JAXRException()

### JAXRException

    public JAXRException(String msg)

### JAXRException

    public JAXRException(String msg,
                         Throwable cause)

### JAXRException

    public JAXRException(Throwable cause)

Method Detail

### getRequestId

    public String getRequestId()

  Specified by:
    `getRequestId` in interface `JAXRResponse`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `JAXRResponse`

### isAvailable

    public boolean isAvailable()
                        throws JAXRException

  Specified by:
    `isAvailable` in interface `JAXRResponse`
  Throws:
    `JAXRException`

### initCause

    public Throwable initCause(Throwable cause)

  Initializes the cause of this throwable to the specified value. (The cause is the throwable that caused this throwable to get thrown.) This method can be called at most once. It is generally called from within the constructor, or immediately after creating the throwable. If this throwable was created with JAXRException(Throwable) or JAXRException(String,Throwable), this method cannot be called even once.

  Parameters:
    `cause` -
  Returns:
    this

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.